SpareRoom: Search
Search from SpareRoom as JSON. 1 credit per successful call.
GET /v1/spareroom/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
where | string | Required | Up to 100 characters |
page | integer | Optional | Any |
sort | string | Optional | relevance, newest, last_updated, price_low_to_high, price_high_to_low |
min_rent | integer | Optional | Any |
max_rent | integer | Optional | Any |
rent_period | string | Optional | pcm, pw |
bills_included | string | Optional | true, false, 1, 0 |
available_from | string | Optional | Any |
types | string | Optional | Any |
room_types | string | Optional | double, single |
ensuite | string | Optional | Y |
furnished | string | Optional | Y, N |
rooms_for | string | Optional | males, females, couples |
share_type | string | Optional | P, S |
genderfilter | string | Optional | males, females, mixed |
gayshare | string | Optional | Y |
vegetarians | string | Optional | Y |
disabled_access | string | Optional | Y |
living_room | string | Optional | shared |
parking | string | Optional | Y |
smoking | string | Optional | Y, N |
pets_req | string | Optional | Y |
days_of_wk_available | string | Optional | Mon to Fri only, 7 days a week |
short_lets_considered | string | Optional | Y |
posted_by | string | Optional | private_landlords, flatmates, agents, co_live |
landlord | string | Optional | live_in, live_out |
photoadsonly | string | Optional | Y |
free_to_contact | string | Optional | Y |
no_deposit | string | Optional | Y |
verified_users | string | Optional | Y |
min_term | integer | Optional | Any |
max_term | integer | Optional | Any |
no_of_rooms | integer | Optional | Any |
min_age_req | integer | Optional | Any |
max_age_req | integer | Optional | Any |
min_beds | integer | Optional | Any |
max_beds | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/spareroom/search?where=London" \
-H "X-API-Key: $API_KEY"